SELECT  substring(name,1,25) AS name,
        substring(password,1,20) as password, language
        FROM sysxlogins
GO

Exec sp_addlogin 'richard', 'password'
GO

SELECT  substring(name,1,25) AS name,
        substring(password,1,20) as password, language
        FROM sysxlogins
GO

Exec sp_password NULL, 'newpass', 'richard'
GO

exec sp_helplogins
GO

Exec sp_grantlogin 'RHOME\Sales'
GO

Exec Sp_revokelogin 'RHOME\Sales'
GO

Exec sp_revokelogin 'RWHOMENT\Marketing'
GO

Exec sp_revokelogin 'RWHOMENT\Ann'
GO

Exec sp_grantlogin 'RHOME\Sales'
Exec sp_denylogin 'RHOME\Ann'
GO
/* These commands are what's run by Enterprise Manager */
exec sp_grantlogin 'RHOME\Accounting'
exec sp_grantlogin 'RHOME\Bob'
GO
/* END Enterprise Manager Commands */

Use pubs
Exec sp_grantdbaccess 'RHOME\Bob'
GO

Exec sp_grantdbaccess 'RHOME\Marketing'
GO

USE pubs
EXEC sp_grantdbaccess 'Don'
GO

USE northwind
exec sp_revokedbaccess 'guest'
GO
-- now use northwind as user Don and it should fail
-- put guest back again
exec sp_grantdbaccess 'guest'
GO

Exec sp_addsrvrolemember 'RHOME\Bob','securityadmin'
GO

Exec sp_dropsrvrolemember 'RHOME\Bob','securityadmin'
GO

Use pubs
Exec sp_addrole 'Management'
Exec sp_addrole 'Operations'
Exec sp_addrolemember 'Management','Don'
Exec sp_addrolemember 'Operations','RHOME\Marketing'
GO

Exec sp_droprole 'Operations'
GO

Exec sp_droprolemember 'Operations','RHOME\Marketing'
Exec sp_droprole 'Operations'
GO

Use pubs
Exec sp_addapprole 'Payroll','password'
Exec sp_setapprole 'Payroll', {Encrypt N 'password'},'odbc'
GO