CREATE FUNCTION dbo.fnRoyaltiesByAuthor()
RETURNS TABLE AS

	RETURN (SELECT a.au_fname, a.au_lname, t.title, 
	'RoyToDate' = (t.ytd_sales * t.price * t.royalty / 100)
	FROM authors a, titles t, titleauthor ta
	WHERE a.au_id = ta.au_id AND t.title_id = ta.title_id)


